import { world as world } from "@minecraft/server";
import { Player } from '@minecraft/server';
import { ActionFormData } from "@minecraft/server-ui";
import { ModalFormData } from "@minecraft/server-ui";

world.afterEvents.itemUse.subscribe((data) => {
  const { source: player, itemStack: item } = data;

  //THIS IS ITEM USED TO OPEN THE SMARTPHONE MAIN MENU, YOU CAN CHANGE THE ITEM USED TO ANY ITEM ID.
  if (item.typeId == "ml:smartphone") {
    smartphone(player);
  }
});

function getScore(objective, player) {
  try {
    const command = player.runCommand(`scoreboard players test @s "${objective}" * *`)
    return parseInt(command.statusMessage.split(/\s+/)[1])
  } catch {
    return 0
  }
}

//THIS IS THE SMARTPHONE MAIN MENU FUNCTION
function smartphone(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

  //HOME BUTTON INDEX 0.
  UI.button("Home", "textures/ui/home_icon");

  //CART BUTTON INDEX 1.
  UI.button("Shopping", "textures/ui/cart_icon");

  //MONEY BUTTON INDEX 2.
  UI.button("Bank", "textures/ui/money_icon");

  //SONG BUTTON INDEX 3.
  UI.button("Music", "textures/ui/song_icon");

  //WEATHER BUTTON INDEX 4.
  UI.button("Weather", "textures/ui/weather_icon");

  //DIALOG BUTTON INDEX 5.
  UI.button("Msg", "textures/ui/dialog_icon");

  //TELEPORT BUTTON INDEX 6.
  UI.button("Teleport", "textures/ui/teleport_icon");

  //CHESS BUTTON INDEX 7.
  UI.button("Chess", "textures/ui/chess_icon");

  //POWER BUTTON INDEX 8.
  UI.button("Time", "textures/ui/clockicon");

  //POWER BUTTON INDEX 9.
  UI.button("Power", "textures/ui/power_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    //HOME BUTTON FUNCTION, USE THE BUTTON INDEX
    if (selection == 0) {
      const playerSpawnPoint = player.getSpawnPoint() ?? player.location;

      player.runCommandAsync(
        `tp ${player.name} ${playerSpawnPoint.x} ${playerSpawnPoint.y} ${playerSpawnPoint.z}`
      );
    }
    if (selection == 1) {
      shopping(player);
    }
    if (selection == 2) {
      player.runCommand(`function scoreboard`)
      BankApp(player);
    }
    if (selection == 3) {
      songsMenu(player);
    }
    if (selection == 4) {
      weather(player);
    }
    if (selection == 5) {
      msg(player);
    }
    if (selection == 6) {
      telaport(player);
    }
    if (selection == 7) {
      chess(player);
    }
    if (selection == 8) {
      time(player);
    }
    if (selection == 9) {
      power(player);
    }
  });
}

function songsMenu(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


  //SONG1 BUTTON INDEX 0.
  UI.button("Song 1", "textures/ui/song_icon");

  //SONG2 BUTTON INDEX 1.
  UI.button("Song 2", "textures/ui/song_icon");

  //SONG3 BUTTON INDEX 2.
  UI.button("Song 3", "textures/ui/song_icon");

  //SONG4 BUTTON INDEX 3.
  UI.button("Return", "textures/ui/return_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      player.runCommandAsync(`playsound record.mall`);
      songsMenu(player);
    }
    if (selection == 1) {
      player.runCommandAsync(`playsound record.mellohi`);
      songsMenu(player);
    }
    if (selection == 2) {
      player.runCommandAsync(`playsound record.otherside`);
      songsMenu(player);
    }
    if (selection == 3) {
      smartphone(player);
    }
  });

}

function shopping(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

  //bank4 BUTTON INDEX 3.
  UI.button("Return", "textures/ui/return_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      smartphone(player);
    }
  });

}

function BankApp(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


  //SONG1 BUTTON INDEX 0.
  UI.button("Transfer", "textures/ui/transfericon");

  //SONG2 BUTTON INDEX 1.
  UI.button("Deposit", "textures/ui/depositicon");

  //SONG4 BUTTON INDEX 2.
  UI.button("Return", "textures/ui/return_icon");

  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      Transferapp(player);
    }
    if (selection == 1) {
      Depositapp(player);
    }
    if (selection == 2) {
      smartphone(player);
    }
  });
}

function Transferapp(player) {
  let form = new ModalFormData()
  let playerNameList = world.getAllPlayers().map(p => p.name)
  form.title(`M&L Banking`)
  form.dropdown("Players Online", playerNameList)
  form.textField("Amount", "type_here")
  form.show(player).then((response) => {
    if (response.formValues[1]) {
      if (response.formValues[1] < 0) {
        player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.you_cant_send_negative_money"}]}`)
      }
      if (playerNameList[response.formValues[0]] == player.nameTag && response.formValues[1] > 0) {
        player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Send Money To Your Self"}]}`)
      } else {
        if (getScore('money', player) < response.formValues[1] && response.formValues[1] > 0) {
          player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Dont Have Money"}]}`)
        }
        if (getScore('money', player) >= response.formValues[1] && response.formValues[1] > 0) {
          player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.transfer_sucessfull"}]}`)
          player.runCommand(`scoreboard players remove @s money ${response.formValues[1]}`)
          player.runCommand(`scoreboard players add ${playerNameList[response.formValues[0]]} money ${response.formValues[1]}`)
          player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ playsound random.notification @s[hasitem={item=ml:smartphone}] ~~~ 1 1`)
          player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ titleraw @s[hasitem={item=ml:smartphone}] actionbar {"rawtext":[{"translate":"text_smartphoneaddon.message"},{"text":"\n"},{"text":" ${player.nameTag} "},{"translate":"text_smartphoneaddon.made_a_transfer"},{"text":" §2$${response.formValues[1]} "},{"translate":"text_smartphoneaddon.for_you"}]}`)
        }
      }
    }
  })
}

function Depositapp(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


  //SONG1 BUTTON INDEX 0.
  UI.button("Iron", "textures/ui/ironicon");

  //SONG2 BUTTON INDEX 1.
  UI.button("Gold", "textures/ui/goldicon");

  //SONG2 BUTTON INDEX 2.
  UI.button("Diamond", "textures/ui/diamondicon");

  //SONG2 BUTTON INDEX 3.
  UI.button("Emerald", "textures/ui/eneraldicon");

  //SONG2 BUTTON INDEX 4.
  UI.button("Onebill", "textures/ui/onebillicon");

  //SONG2 BUTTON INDEX 5.
  UI.button("Fivebill", "textures/ui/fivebillicon");

  //SONG2 BUTTON INDEX 6.
  UI.button("Hundred", "textures/ui/hundredicon");

  //SONG4 BUTTON INDEX 7.
  UI.button("Return", "textures/ui/return_icon");

  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;
    if (selection == 0) {
      player.runCommand(`function sell_iron_ingot`)
      Depositapp(player)
    }
    if (selection == 1) {
      player.runCommand(`function sell_gold_ingot`)
      Depositapp(player)
    }
    if (selection == 2) {
      player.runCommand(`function sell_diamond`)
      Depositapp(player)
    }
    if (selection == 3) {
      player.runCommand(`function sell_emerald`)
      Depositapp(player)
    }
    if (selection == 4) {
      player.runCommand(`function sell_onebill`)
      Depositapp(player)
    }
    if (selection == 5) {
      player.runCommand(`function sell_fivebill`)
      Depositapp(player)
    }
    if (selection == 6) {
      player.runCommand(`function sell_hundred`)
      Depositapp(player)
    }
    if (selection == 7) {
      smartphone(player);
    }
  });
}

function weather(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

  //bank1 BUTTON INDEX 0.
  UI.button("Clear", "textures/ui/clearicon");

  //bank2 BUTTON INDEX 1.
  UI.button("Rain", "textures/ui/rainicon");

  //bank3 BUTTON INDEX 2.
  UI.button("Thunder", "textures/ui/thundericon");

  //bank4 BUTTON INDEX 3.
  UI.button("Return", "textures/ui/return_icon");

  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      player.runCommand("weather clear")
      weather(player)
    }
    if (selection == 1) {
      player.runCommand("weather rain")
      weather(player)
    }
    if (selection == 2) {
      player.runCommand("weather thunder")
      weather(player)
    }
    if (selection == 3) {
      smartphone(player);
    }
  });
}

function msg(player) {

  let form = new ModalFormData()
  let playerNameList = world.getAllPlayers().map(p => p.name)
  form.title(`M&L Messaging`)
  form.dropdown("Player's Online", playerNameList)
  form.textField("Message", "type_here")
  form.show(player).then((response) => {
    if (response.formValues[1]) {
      if (playerNameList[response.formValues[0]] == player.nameTag) {
        player.runCommand(`tellraw @s {"rawtext":[{"translate":"You Cant Message Your self"}]}`)
      }
      if (playerNameList[response.formValues[0]] !== player.nameTag) {
        player.runCommand(`tellraw @s {"rawtext":[{"translate":"text.from_you"},{"text":"§r${playerNameList[response.formValues[0]]}"},{"text":"> "},{"text":"${response.formValues[1]}"}]}`)
        player.runCommand(`tellraw ${playerNameList[response.formValues[0]]} {"rawtext":[{"translate":"text.from"},{"text":" §r${player.nameTag} "},{"translate":"text.to_you"},{"text":"${response.formValues[1]}"}]}`)
        player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ playsound random.notification @s[hasitem={item=ml:smartphone}] ~~~ 1 1`)
        player.runCommand(`execute ${playerNameList[response.formValues[0]]} ~~~ titleraw @s[hasitem={item=ml:smartphone}] actionbar {"rawtext":[{"translate":"text_smartphoneaddon.message"},{"text":"\n"},{"text":" ${player.nameTag} "},{"translate":"text_smartphoneaddon.send_a_message"}]}`)
      }
    }
  })
}

function telaport(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.




  //bank4 BUTTON INDEX 0.
  UI.button("Return", "textures/ui/return_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      smartphone(player);
    }
  });

}

function chess(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.

  //bank4 BUTTON INDEX 0.
  UI.button("Return", "textures/ui/return_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      smartphone(player);
    }
  });

}
function time(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.


  //bank1 BUTTON INDEX 0.
  UI.button("Midnight", "textures/ui/midnighticon");

  //bank2 BUTTON INDEX 1.
  UI.button("Night", "textures/ui/nighticon");

  //bank3 BUTTON INDEX 2.
  UI.button("Sunset", "textures/ui/sunseticon");

  //bank4 BUTTON INDEX 3.
  UI.button("Noon", "textures/ui/noonicon");

  //bank4 BUTTON INDEX 4.
  UI.button("Sunrise", "textures/ui/sunriseicon");

  //bank4 BUTTON INDEX 5.
  UI.button("Day", "textures/ui/dayicon");

  //bank4 BUTTON INDEX 6.
  UI.button("Return", "textures/ui/return_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;

    if (selection == 0) {
      player.runCommand("time set midnight")
      time(player);
    }
    if (selection == 1) {
      player.runCommand("time set night")
      time(player);
    }
    if (selection == 2) {
      player.runCommand("time set sunset")
      time(player);
    }
    if (selection == 3) {
      player.runCommand("time set noon")
      time(player);
    }
    if (selection == 4) {
      player.runCommand("time set sunrise")
      time(player);
    }
    if (selection == 5) {
      player.runCommand("time set day")
      time(player);
    }
    if (selection == 6) {
      smartphone(player);
    }
  });
}

function power(player) {
  const UI = new ActionFormData();

  //THIS GETS THE PLAYER MONEY SCOREBOARD VALUE TO DISPLAY, IF THE PLAYER HASN'T THE SCORE IT DISPLAY 0$.
  const moneyScore =
    world.scoreboard.getObjective("money")?.getScore(player) ?? 0;

  //THIS IS THE SCREEN TITLE, DON'T CHANGE IT, ITS USED TO LINK WITH THE JSON UI.
  UI.title("Smartphone");

  //THIS DISPLAY THE BATTERY VALUE, YOU CAN USE ANY VALUE OR FUNCTION TO SET THIS BUT KEEP IT 3 DIGITS 0-100.
  const battery = `:${100}`.padStart(4, " ");

  //THIS DISPLAY THE PLAYER MONEY ON THE SCREEN, KEEP IT TO MAX OF 9 DIGITS 9-999999999.
  const money = "$" + `${moneyScore}`.padStart(9, " ");

  //THIS IS THE BODY TEXT, ITS USED TO DISPLAY THE MONEY AND THE BATTERY VALUES.
  UI.body(battery + money);

  //THIS IS THE BUTTONS SECTION, EVERY APP IS A BUTTON WITH A IMAGE, EACH BUTTON HAS A INDEX, AND THE INDEX IS USED TO
  //DEFINE THE FUNCTION THAT THE BUTTON EXECUTES, INDEX STARTS FROM 0.




  //bank4 BUTTON INDEX 1.
  UI.button("Return", "textures/ui/return_icon");


  //TO ADD MORE BUTTONS JUST COPY/PASTE.

  UI.show(player).then((response) => {
    const selection = response.selection;


    if (selection == 0) {
      smartphone(player);
    }
  });
}